public static interface GitHubEndpointBuilderFactory.GitHubBuilders
| Modifier and Type | Method and Description |
|---|---|
default GitHubEndpointBuilderFactory.GitHubEndpointBuilder |
github(String path)
GitHub (camel-github)
Interact with the GitHub API.
|
default GitHubEndpointBuilderFactory.GitHubEndpointBuilder |
github(String componentName,
String path)
GitHub (camel-github)
Interact with the GitHub API.
|
default GitHubEndpointBuilderFactory.GitHubEndpointBuilder github(String path)
github:type/branchName
Path parameter: type (required)
What git operation to execute
There are 10 enums and the value can be one of: CLOSEPULLREQUEST,
PULLREQUESTCOMMENT, COMMIT, PULLREQUEST, TAG, PULLREQUESTSTATE,
PULLREQUESTFILES, GETCOMMITFILE, CREATEISSUE, EVENT
Path parameter: branchName
Name of branch
Path parameter: startingSha
The starting sha to use for polling commits with the commit consumer.
The value can either be a sha for the sha to start from, or use
beginning to start from the beginning, or last to start from the last
commit.
Default value: lastpath - type/branchNamedefault GitHubEndpointBuilderFactory.GitHubEndpointBuilder github(String componentName, String path)
github:type/branchName
Path parameter: type (required)
What git operation to execute
There are 10 enums and the value can be one of: CLOSEPULLREQUEST,
PULLREQUESTCOMMENT, COMMIT, PULLREQUEST, TAG, PULLREQUESTSTATE,
PULLREQUESTFILES, GETCOMMITFILE, CREATEISSUE, EVENT
Path parameter: branchName
Name of branch
Path parameter: startingSha
The starting sha to use for polling commits with the commit consumer.
The value can either be a sha for the sha to start from, or use
beginning to start from the beginning, or last to start from the last
commit.
Default value: lastcomponentName - to use a custom component name for the endpoint
instead of the default namepath - type/branchNameApache Camel